<header class="l-header">
    <ul class="top-menu disable-link-styles">
        <li>
            <a routerLink="/category">Category</a>
        </li>
        <li *rbacAllow="['Admin']">
            <a routerLink="/admin">Admin</a>
        </li>
        <li *ngIf="isLoggedOut$ | async">
            <a routerLink="/signup">Sign Up</a>
        </li>
        <li *ngIf="isLoggedOut$ | async">
            <a routerLink="/login">Login</a>
        </li>
        <li *ngIf="isLoggedIn$ | async" (click)="logout()">
            <a href="#">Logout</a>
        </li>
    </ul>
</header>

<main>
    <router-outlet></router-outlet>
</main>





